
Figure - Bug #117550
测试 Test-IT # 110961 (New): V2.0功能测试

测试 Test-IT # 111056 (New): AF-V2.0-Launcher/SystemUI----Setting

【AF】【EVT3】【设置】低概率出现，进入设置-应用-应用详情页，页面显示异常
2023-04-18 17:01 - 物联网测试组_CDTS  唐霞 

Status: CLOSED Start date: 2023-04-18

Priority: Normal Due date:

Assignee: 物联网测试组_CDTS  唐霞 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0092.C103(X103)

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Occasionally Fixed Version: 2023-04-25

Test Type: ST Root cause: 无障碍功能引发。

Description

【测试步骤】

进入设置-应用，打开一个最近打开的应用（华为应用市场）

【预期结果】

显示华为应用市场详细信息

【测试结果】

页面显示异常

备注：在这之前应用市场有下载应用，有弹出是否允许安装应用请求

History

#1 - 2023-04-24 19:19 - CD FW-廖涛

- Status changed from New to ASSIGNED

■ My analysis

通过日志，未发现异常情况，并且无法复现。通过测试反馈，出现问题时，应用包在后台安装应用，并且有无障碍权限，由于无障碍权限执行安装时，

是通过分析当前 Window 的 View tree 来找到安装按钮，并且模拟点击操作，执行安装操作。

所以，猜测是当前应用宝在执行相关操作冲突导致的问题。

由于无障碍功能在设备上是不支持的，所以下一步是屏蔽所有无障碍功能的设置入口，禁止第三方应用请求无障碍权限及使用无障碍。

■ Next action

屏蔽所有无障碍功能的设置入口，增加问题页面的日志。

#2 - 2023-04-25 19:25 - CD FW-廖涛

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW-廖涛 to 物联网测试组_CDTS  唐霞 

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-25

- Root cause set to 无障碍功能引发。
■ Current conclusion

1. 已屏蔽无障碍功能相关设置入口，禁止第三方应用使用无障碍功能；提交：

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/195986

2. 针对异常页面增加相关日志；提交：https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/196209

■ Next action

测试跟进验证。该问题的发生大概率为无障碍功能引起，可以多跟踪几个版本，如果无问题可以关闭此 issue。若问题还存在，请将出现问题时的系统日

志贴上。

#3 - 2023-05-09 18:29 - 物联网测试组_CDTS  唐霞 

验证20次未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0098.C103

#4 - 2023-05-11 19:08 - 物联网测试组_CDTS  唐霞 

验证30min+未复现

验证版本：FlatBuild_HH_MCE_FSE.M.R.user.01.00.0099.C103

#5 - 2023-05-13 16:08 - 物联网测试组_CDTS  唐霞 

- Status changed from RESOLVED to VERIFIED

验证3个版本无法复现，关闭问题单

#6 - 2023-05-13 16:09 - 物联网测试组_CDTS  唐霞 

- Status changed from VERIFIED to CLOSED

验证版本：FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103.202305130049

验证30次未复现，关闭问题单

Files

418.7z 2.06 MB 2023-04-18 物联网测试组_CDTS  唐霞 

设置-应用详情页显示异常.mp4 8.37 MB 2023-04-18 物联网测试组_CDTS  唐霞 
https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/Settings/+/195986
